Pay credit note
Register payment for a posted credit note
POST
/
admin
/
api
/
v1
/
accounts
/
credit-notes
/
{id}
/
pay
Pay credit note
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/accounts/credit-notes/{id}/pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"journal_id": 1,
"payment_method_line_id": 1,
"partner_bank_id": 3,
"currency_id": 1,
"payment_date": "2026-02-17",
"communication": "INV/2026/0001",
"installments_mode": "full",
"amount": 250.75
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/credit-notes/{id}/pay"
payload = {
"journal_id": 1,
"payment_method_line_id": 1,
"partner_bank_id": 3,
"currency_id": 1,
"payment_date": "2026-02-17",
"communication": "INV/2026/0001",
"installments_mode": "full",
"amount": 250.75
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
journal_id: 1,
payment_method_line_id: 1,
partner_bank_id: 3,
currency_id: 1,
payment_date: '2026-02-17',
communication: 'INV/2026/0001',
installments_mode: 'full',
amount: 250.75
})
};
fetch('https://erp.arukz.com/admin/api/v1/accounts/credit-notes/{id}/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/credit-notes/{id}/pay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'journal_id' => 1,
'payment_method_line_id' => 1,
'partner_bank_id' => 3,
'currency_id' => 1,
'payment_date' => '2026-02-17',
'communication' => 'INV/2026/0001',
'installments_mode' => 'full',
'amount' => 250.75
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"sort": 1,
"journal_id": 2,
"company_id": 1,
"campaign_id": null,
"tax_cash_basis_origin_move_id": null,
"auto_post_origin_id": null,
"origin_payment_id": null,
"secure_sequence_number": null,
"invoice_payment_term_id": null,
"partner_id": 41,
"commercial_partner_id": 41,
"partner_shipping_id": 41,
"partner_bank_id": null,
"fiscal_position_id": null,
"currency_id": 1,
"reversed_entry_id": null,
"invoice_user_id": null,
"invoice_incoterm_id": null,
"invoice_cash_rounding_id": null,
"preferred_payment_method_line_id": null,
"creator_id": 1,
"sequence_prefix": "BILL/2026",
"access_token": null,
"name": "BILL/2026/1",
"reference": null,
"state": "draft",
"move_type": "in_invoice",
"auto_post": 0,
"inalterable_hash": null,
"payment_reference": null,
"qr_code_method": null,
"payment_state": "not_paid",
"invoice_source_email": null,
"invoice_partner_display_name": "Eden Hebert -Supplier",
"invoice_origin": "PO/1",
"incoterm_location": null,
"date": "2026-01-08T00:00:00.000000Z",
"auto_post_until": null,
"invoice_date": null,
"invoice_date_due": null,
"delivery_date": null,
"sending_data": null,
"narration": null,
"invoice_currency_rate": "1.0000",
"amount_untaxed": "35000.0000",
"amount_tax": "0.0000",
"amount_total": "35000.0000",
"amount_residual": "35000.0000",
"amount_untaxed_signed": "-35000.0000",
"amount_untaxed_in_currency_signed": "-35000.0000",
"amount_tax_signed": "0.0000",
"amount_total_signed": "-35000.0000",
"amount_total_in_currency_signed": "-35000.0000",
"amount_residual_signed": "-35000.0000",
"quick_edit_total_amount": null,
"is_storno": 0,
"always_tax_exigible": 0,
"checked": false,
"posted_before": 0,
"made_sequence_gap": 0,
"is_manually_modified": 0,
"is_move_sent": 0,
"source_id": null,
"medium_id": null,
"created_at": "2026-01-08T12:56:46.000000Z",
"updated_at": "2026-01-08T12:56:47.000000Z"
},
"message": "Credit note payment registered successfully."
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}{
"message": "Only posted credit notes with pending payment can be paid."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Body
application/json
Response
Success
⌘I
Pay credit note
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/accounts/credit-notes/{id}/pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"journal_id": 1,
"payment_method_line_id": 1,
"partner_bank_id": 3,
"currency_id": 1,
"payment_date": "2026-02-17",
"communication": "INV/2026/0001",
"installments_mode": "full",
"amount": 250.75
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/credit-notes/{id}/pay"
payload = {
"journal_id": 1,
"payment_method_line_id": 1,
"partner_bank_id": 3,
"currency_id": 1,
"payment_date": "2026-02-17",
"communication": "INV/2026/0001",
"installments_mode": "full",
"amount": 250.75
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
journal_id: 1,
payment_method_line_id: 1,
partner_bank_id: 3,
currency_id: 1,
payment_date: '2026-02-17',
communication: 'INV/2026/0001',
installments_mode: 'full',
amount: 250.75
})
};
fetch('https://erp.arukz.com/admin/api/v1/accounts/credit-notes/{id}/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/credit-notes/{id}/pay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'journal_id' => 1,
'payment_method_line_id' => 1,
'partner_bank_id' => 3,
'currency_id' => 1,
'payment_date' => '2026-02-17',
'communication' => 'INV/2026/0001',
'installments_mode' => 'full',
'amount' => 250.75
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"sort": 1,
"journal_id": 2,
"company_id": 1,
"campaign_id": null,
"tax_cash_basis_origin_move_id": null,
"auto_post_origin_id": null,
"origin_payment_id": null,
"secure_sequence_number": null,
"invoice_payment_term_id": null,
"partner_id": 41,
"commercial_partner_id": 41,
"partner_shipping_id": 41,
"partner_bank_id": null,
"fiscal_position_id": null,
"currency_id": 1,
"reversed_entry_id": null,
"invoice_user_id": null,
"invoice_incoterm_id": null,
"invoice_cash_rounding_id": null,
"preferred_payment_method_line_id": null,
"creator_id": 1,
"sequence_prefix": "BILL/2026",
"access_token": null,
"name": "BILL/2026/1",
"reference": null,
"state": "draft",
"move_type": "in_invoice",
"auto_post": 0,
"inalterable_hash": null,
"payment_reference": null,
"qr_code_method": null,
"payment_state": "not_paid",
"invoice_source_email": null,
"invoice_partner_display_name": "Eden Hebert -Supplier",
"invoice_origin": "PO/1",
"incoterm_location": null,
"date": "2026-01-08T00:00:00.000000Z",
"auto_post_until": null,
"invoice_date": null,
"invoice_date_due": null,
"delivery_date": null,
"sending_data": null,
"narration": null,
"invoice_currency_rate": "1.0000",
"amount_untaxed": "35000.0000",
"amount_tax": "0.0000",
"amount_total": "35000.0000",
"amount_residual": "35000.0000",
"amount_untaxed_signed": "-35000.0000",
"amount_untaxed_in_currency_signed": "-35000.0000",
"amount_tax_signed": "0.0000",
"amount_total_signed": "-35000.0000",
"amount_total_in_currency_signed": "-35000.0000",
"amount_residual_signed": "-35000.0000",
"quick_edit_total_amount": null,
"is_storno": 0,
"always_tax_exigible": 0,
"checked": false,
"posted_before": 0,
"made_sequence_gap": 0,
"is_manually_modified": 0,
"is_move_sent": 0,
"source_id": null,
"medium_id": null,
"created_at": "2026-01-08T12:56:46.000000Z",
"updated_at": "2026-01-08T12:56:47.000000Z"
},
"message": "Credit note payment registered successfully."
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}{
"message": "Only posted credit notes with pending payment can be paid."
}